Attribute table in print composer

2014-07-18 04:26 AM - Veronika Schurmann

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19274

Description

When an attribute table with many rows and max. rows set to i.e. 20 is moved around, the value in "maximal rows" jumps back to 0 or 5.

The value should stay the same.

Associated revisions

Revision 4e2afeb9 - 2014-07-19 02:56 PM - Nyall Dawson

[composer] Don't auto set maximum number of attributes when resizing item. Instead, keep the maximum number of rows as whatever the user set. This

change prevents the attribute table from shrinking and never re-growing (fix #10911)

History

#1 - 2014-07-19 05:57 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4e2afeb96182dafa8249131f023f0ea0e312883b".

#2 - 2014-07-19 05:58 AM - Nyall Dawson

Can you please test with current master and verify that this fix works ok? If so I will backport it to 2.4.
